<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://kit.fontawesome.com/2d2f1726b8.js" crossorigin="anonymous"></script>
    <script
        src="https://cdnjs.cloudflare.com/ajax/libs/tarekraafat-autocomplete.js/10.2.6/autoComplete.min.js"></script>
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/tarekraafat-autocomplete.js/10.2.6/css/autoComplete.min.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="./css/style.css">
    <title>App meteo</title>
</head>

<body>
    <header>
        <div class="header-app">
            <img src="./images/logo.png" alt="logo nuage">
            <h1>App meteo</h1>
            <div></div>
        </div>
    </header>
    <div class="container">
        <div class="row justify-content-center flex-column align-items-center">
            <div class="col-12 col-sm-6 my-3">
                <form class ="text-center">
                    <div class="form-group text-center">
                        <input type="text" class="form-control inputCity" id="autoComplete" autocomplete="off">
                    </div>
                    <button type="submit" class="btn btn-success btn-block mt-3">Rechercher</button>
                </form>
            </div>
            <div class="col-12 col-sm-6 d-flex justify-content-center my-3">
                <div class="box-container">
                    <div id="city" class="box"></div>
                    <div id="temp" class="box"></div>
                    <div id="humidity" class="box"></div>
                    <div id="wind" class="box"></div>
                </div>
            </div>
            <div class="weather-icon"></div>
            <div class="row">
                <div class="col d-flex flex-column align-items-center">
                    <h4 class="text-white">Temp ressentie</h4>
                    <p id="tempress"></p>
                </div>
                <div class="col d-flex flex-column align-items-center">
                    <h4 class="text-white">Temp min</h4>
                    <p id="tempmin"></p>
                </div>
                <div class="col d-flex flex-column align-items-center">
                    <h4 class="text-white">Temp max</h4>
                    <p id="tempmax"></p>
                </div>
            </div>
        </div>
    </div>
    <script src="./script/app.js"></script>
    <script>
        const query = document.querySelector('.inputCity').value;
        const autoCompleteJS = new autoComplete({
            selector: '#autoComplete',
            placeHolder: "Entrer une ville...",
            data: {
                src: async (query) => {
                    try {
                        // Fetch Data from external Source
                        const source = await fetch(`https://api-adresse.data.gouv.fr/search/?q=${query}&type=municipality&autocomplete=1`);
                        // Data is array of `Objects` | `Strings`
                        const data = await source.json();
                        return data.features.map((row)=>{return row.properties.city});

                    } catch (error) {
                        return error;
                    }
                },
            },
            submit: true,
            resultItem: {
                highlight: true
            },
            events: {
                input: {
                    selection: (event) => {
                        const selection = event.detail.selection.value;
                        autoCompleteJS.input.value = selection;
                    }
                }
            }
        });
        
    </script>
</body>

</html>